Bug 1281537 - [GSS](6.4.z) PersistenceRefProcessor.getPersistenceUnitBindingSource can throw NullPointerException
[GSS](6.4.z) PersistenceRefProcessor.getPersistenceUnitBindingSource can thro...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JPA (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.11
Assigned To: jboss-set
Martin Simka
:
Depends On:
Blocks: eap6411-payload
  Show dependency treegraph
 
Reported: 2015-11-12 12:09 EST by Mike
Modified: 2017-01-17 08:15 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:13:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike 2015-11-12 12:09:18 EST
In PersistenceRefProcessor the getPersistenceUnitBindingSource method calls PersistenceUnitSearch.resolvePersistenceUnitSupplier to retrieve a  PersistenceUnitMetadata object. It then without checking for null, dereferences that object to get the scoped persistent unit name.

However, resolvePersistenceUnitSupplier through its call to findPersistenceUnitSupplier can return a null value.

When this happens NullPointerException is thrown rather than DeploymentUnitProcessingException as would be expected.
Comment 5 Mike McCune 2016-03-28 18:32:18 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Jiří Bílek 2016-10-07 07:00:05 EDT
Verified with EAP 6.4.11.CP.CR1
Comment 8 Petr Penicka 2017-01-17 08:13:23 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 9 Petr Penicka 2017-01-17 08:15:10 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.